<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0-windows</TargetFramework>
    <Nullable>enable</Nullable>
    <UseWindowsForms>true</UseWindowsForms>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <ItemGroup>
    <Compile Update="IconSet16.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>IconSet16.resx</DependentUpon>
    </Compile>
    <Compile Update="IconSet24.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>IconSet24.resx</DependentUpon>
    </Compile>
    <Compile Update="IconSet32.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>IconSet32.resx</DependentUpon>
    </Compile>
    <Compile Update="IconSet48.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>IconSet48.resx</DependentUpon>
    </Compile>
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Update="IconSet16.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>IconSet16.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Update="IconSet24.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>IconSet24.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Update="IconSet32.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>IconSet32.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Update="IconSet48.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>IconSet48.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>

</Project>
